package bus

import (
	"context"
	"mesh/db"
	"mesh/db/repo"
)

const (
	AssetState_Empty    = 0
	AssetState_Waiting  = 100 //等待处理
	AssetState_Proccing = 101 //正在处理
	AssetState_Failed   = 102 //处理失败！
	AssetState_Succ     = 200 //处理成功
)

func CreateRepoCtx() *repo.RepoSession {
	return &repo.RepoSession{
		Client: db.MongoClient,
		Ctx:    context.Background(),
	}
}
